set linesize 32000
set pagesize 1000
set echo on
set termout on
set trimspool on

set serveroutput on size 1000000

spool testsecondcolumns.log

VARIABLE monitored_sid number;

begin

SELECT sid into :monitored_sid from v$session where audsid=USERENV('SESSIONID');

end;
/

select b.value "table fetch continued rows"
from
V$SESSTAT b
where b.SID = :monitored_sid
and b.STATISTIC# = (SELECT STATISTIC# FROM V$STATNAME 
WHERE NAME='table fetch continued row');

-- run test query to see if it has to follow chains

set timing on
set autotrace on

select /*+noparallel(test255c) */ count(*) from test255c 
where column2 = 'C2';

set timing off
set autotrace off

-- check table fetch continued row statistic again

select b.value "table fetch continued rows"
from
V$SESSTAT b
where b.SID = :monitored_sid
and b.STATISTIC# = (SELECT STATISTIC# FROM V$STATNAME 
WHERE NAME='table fetch continued row');

-- run test query to see if it has to follow chains

set timing on
set autotrace on

select /*+noparallel(test256c) */ count(*) from test256c 
where column2 = 'C2';

set timing off
set autotrace off

-- check table fetch continued row statistic again

select b.value "table fetch continued rows"
from
V$SESSTAT b
where b.SID = :monitored_sid
and b.STATISTIC# = (SELECT STATISTIC# FROM V$STATNAME 
WHERE NAME='table fetch continued row');
-- run test query to see if it has to follow chains

set timing on
set autotrace on

select /*+noparallel(test256cplus1) */ count(*) from test256cplus1 
where column2 = 'C2';

set timing off
set autotrace off

-- check table fetch continued row statistic again

select b.value "table fetch continued rows"
from
V$SESSTAT b
where b.SID = :monitored_sid
and b.STATISTIC# = (SELECT STATISTIC# FROM V$STATNAME 
WHERE NAME='table fetch continued row');


spool off
